org.apache.uima.resource

## Class ResourceConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.UIMAException
      - - org.apache.uima.resource.ResourceConfigurationException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class ResourceConfigurationException
      extends UIMAException

  Thrown to indicate that a `Resource`'s configuration parameters could not be set. Most commonly this will be because the caller has specified a nonexistent parameter name or a value of the incorrect data type.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARRAY_REQUIRED` Message key for a standard UIMA exception message: "Configuration parameter "{0}" in component "{1}" is multi-valued and must be assigned an array for its value."
    `static String` | `CONFIG_SETTING_ABSENT` Message key for a standard UIMA exception message: Configuration setting for {0} is absent
    `static String` | `DIRECTORY_NOT_FOUND` Message key for a standard UIMA exception message: Invalid value for parameter "{0}" in component "{1}" -- directory "{2}" does not exist.
    `static String` | `EXTERNAL_OVERRIDE_CIRCULAR_REFERENCE` Message key for a standard UIMA exception message: External override variable "{0}" has a circular reference to itself
    `static String` | `EXTERNAL_OVERRIDE_ERROR` Message key for a standard UIMA exception message: Error loading external overrides from "{0}"
    `static String` | `EXTERNAL_OVERRIDE_INVALID` Message key for a standard UIMA exception message: External override variable "{0}" references the undefined variable "{1}"
    `static String` | `EXTERNAL_OVERRIDE_NUMERIC_ERROR` Message key for a standard UIMA exception message: External override value "{0}" is not an integer
    `static String` | `EXTERNAL_OVERRIDE_TYPE_MISMATCH` Message key for a standard UIMA exception message: External override value for "{0}" has the wrong type (scalar or array)
    `static String` | `MANDATORY_VALUE_MISSING` Message key for a standard UIMA exception message: "No value has been assigned to the mandatory configuration parameter {0}."
    `static String` | `MANDATORY_VALUE_MISSING_IN_GROUP` Message key for a standard UIMA exception message: "No value has been assigned to the mandatory configuration parameter {0} in group {1}."
    `static String` | `NONEXISTENT_PARAMETER` Message key for a standard UIMA exception message: "No configuration parameter with name {0} is declared in component "{1}."
    `static String` | `NONEXISTENT_PARAMETER_IN_GROUP` Message key for a standard UIMA exception message: "No configuration parameter with name {0} is declared in group {1} in this component "{2}"."
    `static String` | `PARAMETER_TYPE_MISMATCH` Message key for a standard UIMA exception message: "Parameter type mismatch in component "{0}".
    `static String` | `RESOURCE_DATA_NOT_VALID` Message key for a standard UIMA exception message: "The configuration data {0} for Configuraion parameter {1} in the resource is absent or not valid"

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceConfigurationException()` Creates a new exception with a null message.
    `ResourceConfigurationException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResourceConfigurationException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResourceConfigurationException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `ResourceConfigurationException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `ResourceConfigurationException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMAException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### NONEXISTENT_PARAMETER

          public static final String NONEXISTENT_PARAMETER

      Message key for a standard UIMA exception message: "No configuration parameter with name {0} is declared in component "{1}."
      See Also:
        Constant Field Values

    - #### NONEXISTENT_PARAMETER_IN_GROUP

          public static final String NONEXISTENT_PARAMETER_IN_GROUP

      Message key for a standard UIMA exception message: "No configuration parameter with name {0} is declared in group {1} in this component "{2}"."
      See Also:
        Constant Field Values

    - #### PARAMETER_TYPE_MISMATCH

          public static final String PARAMETER_TYPE_MISMATCH

      Message key for a standard UIMA exception message: "Parameter type mismatch in component "{0}". A value of class {1} cannot be assigned to the configuration parameter {2}, which has type {3}."
      See Also:
        Constant Field Values

    - #### ARRAY_REQUIRED

          public static final String ARRAY_REQUIRED

      Message key for a standard UIMA exception message: "Configuration parameter "{0}" in component "{1}" is multi-valued and must be assigned an array for its value."
      See Also:
        Constant Field Values

    - #### MANDATORY_VALUE_MISSING

          public static final String MANDATORY_VALUE_MISSING

      Message key for a standard UIMA exception message: "No value has been assigned to the mandatory configuration parameter {0}."
      See Also:
        Constant Field Values

    - #### MANDATORY_VALUE_MISSING_IN_GROUP

          public static final String MANDATORY_VALUE_MISSING_IN_GROUP

      Message key for a standard UIMA exception message: "No value has been assigned to the mandatory configuration parameter {0} in group {1}."
      See Also:
        Constant Field Values

    - #### RESOURCE_DATA_NOT_VALID

          public static final String RESOURCE_DATA_NOT_VALID

      Message key for a standard UIMA exception message: "The configuration data {0} for Configuraion parameter {1} in the resource is absent or not valid"
      See Also:
        Constant Field Values

    - #### CONFIG_SETTING_ABSENT

          public static final String CONFIG_SETTING_ABSENT

      Message key for a standard UIMA exception message: Configuration setting for {0} is absent
      See Also:
        Constant Field Values

    - #### DIRECTORY_NOT_FOUND

          public static final String DIRECTORY_NOT_FOUND

      Message key for a standard UIMA exception message: Invalid value for parameter "{0}" in component "{1}" -- directory "{2}" does not exist.
      See Also:
        Constant Field Values

    - #### EXTERNAL_OVERRIDE_INVALID

          public static final String EXTERNAL_OVERRIDE_INVALID

      Message key for a standard UIMA exception message: External override variable "{0}" references the undefined variable "{1}"
      See Also:
        Constant Field Values

    - #### EXTERNAL_OVERRIDE_ERROR

          public static final String EXTERNAL_OVERRIDE_ERROR

      Message key for a standard UIMA exception message: Error loading external overrides from "{0}"
      See Also:
        Constant Field Values

    - #### EXTERNAL_OVERRIDE_TYPE_MISMATCH

          public static final String EXTERNAL_OVERRIDE_TYPE_MISMATCH

      Message key for a standard UIMA exception message: External override value for "{0}" has the wrong type (scalar or array)
      See Also:
        Constant Field Values

    - #### EXTERNAL_OVERRIDE_NUMERIC_ERROR

          public static final String EXTERNAL_OVERRIDE_NUMERIC_ERROR

      Message key for a standard UIMA exception message: External override value "{0}" is not an integer
      See Also:
        Constant Field Values

    - #### EXTERNAL_OVERRIDE_CIRCULAR_REFERENCE

          public static final String EXTERNAL_OVERRIDE_CIRCULAR_REFERENCE

      Message key for a standard UIMA exception message: External override variable "{0}" has a circular reference to itself
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceConfigurationException

          public ResourceConfigurationException()

      Creates a new exception with a null message.

    - #### ResourceConfigurationException

          public ResourceConfigurationException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResourceConfigurationException

          public ResourceConfigurationException(String aResourceBundleName,
                                                String aMessageKey,
                                                Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResourceConfigurationException

          public ResourceConfigurationException(String aResourceBundleName,
                                                String aMessageKey,
                                                Object[] aArguments,
                                                Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResourceConfigurationException

          public ResourceConfigurationException(String aMessageKey,
                                                Object[] aArguments)

      Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResourceConfigurationException

          public ResourceConfigurationException(String aMessageKey,
                                                Object[] aArguments,
                                                Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.